# 关于路由配置
## 规则
- path 使用下划线，全部小写
- name 使用中线，全部小写
以下为例子进行说明
```
//这里写明注释是什么功能
{
    path: '/frame', // URL 第一部分
    component: Layout,  //顶级菜单必须
    redirect: '/frame/tree',    //在顶部的面包屑中点击节点时去到的链接
    name: 'part-frame-tree',    //权限管理匹配的字符串，对应 menu 表中的 identifier 字段
    meta: { title: i18n.t('tab.frameManage'), icon: 'tree', noCache: true },    //菜单文字、图标及缓存开关
    children: [{    //子菜单项，注释写功能名称。<<<注意>>>最多三层
        path: 'tree',   // URL 第二部分。<<<注意>>>这里不能加前缀 / ，否则会变成顶格 URL
        component: () => import('@/views/hospitalFrame/frameTreeView'),
        name: 'part-frame-tree',    //权限匹配字符串
        meta: { title: i18n.t('tab.frameManage'), icon: 'tree', noCache: true }
      },{
        path: 'clerk_frame_manage',
        component: () => import('@/views/ncs-clerk-frame-manage/index'),
        name: 'clerk-frame-manage',
        meta: { title: i18n.t('tab.staffManageFrames'), icon: 'frame_manage', noCache: true }
      },{
        path: 'device',
        name: 'part-device',
        component: () => import('@/views/ncs-device/index'),    //<<<注意>>>此处引用的 index 内容
        redirect: '/frame/device/list',
        meta: {
          title: i18n.t('deviceManage.deviceManage'),
          icon: 'devices'
        },
        children: [
          {
            path: 'list',
            component: () => import('@/views/ncs-device/deviceManagement'),
            name: 'device-list',
            meta: { title: i18n.t('tab.deviceManage'), icon: 'component', noCache: true }
          }
        ]
      }
    ]
}
```