import request from '@/utils/request'

/**
 * 广播文件设置相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    url: '/ncs/broadcastfiles/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增广播文件 */
export function add(params) {
  return request({
    url: '/ncs/broadcastfiles',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除广播文件 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/broadcastfiles/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新广播文件 */
export function update(id, params) {
  return request({
    url: `/ncs/broadcastfiles/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询单个广播文件 */
export function get(id, params) {
  return request({
    url: `/ncs/broadcastfiles/${id}`,
    method: 'get',
    loading: false,
    params
  })
}

export function getAllFileByBroadcastId(broadcastId) {
  return request({
    url: `/ncs/broadcastfiles/all/${broadcastId}`,
    method: 'get',
    loading: true
  })
}

