/**
 * 留言接口请求
 * @param params
 * @returns {Promise<any>}
 */
import request from '@/utils/request'
export function getList(params) {
  return request({
    url: '/mgr/message/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增留言 */
export function add(params) {
  return request({
    url: '/mgr/message',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除留言 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/mgr/message/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新留言 */
export function update(id, params) {
  return request({
    url: `/mgr/message/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询单个留言 */
export function get(id, params) {
  return request({
    url: `/mgr/message/${id}`,
    method: 'get',
    loading: false,
    params
  })
}
