/**
 * 通知接口请求
 * @param params
 * @returns {Promise<any>}
 */
import request from '@/utils/request'
export function getList(params) {
  return request({
    url: '/mgr/notice/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增通知 */
export function add(params) {
  return request({
    url: '/mgr/notice',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除通知 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/mgr/notice/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新通知 */
export function update(id, params) {
  return request({
    url: `/mgr/notice/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询单个通知 */
export function get(id, params) {
  return request({
    url: `/mgr/notice/${id}`,
    method: 'get',
    loading: false,
    params
  })
}

