import request from '@/utils/request'
export function getList(params) {
  return request({
    url: '/mgr/nurse/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/mgr/nurse/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 新增 */
export function add(params) {
  return request({
    url: '/mgr/nurse',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 修改 */
export function update(id, params) {
  return request({
    url: `/mgr/nurse/${id}`,
    method: 'put',
    data: params
  })
}

/** 获取指定护理参数配置项 */
export function getNurseConfigs(partid, configId) {
  return request({
    url: `/mgr/nurselist/${partid}/${configId}`,
    method: 'get'
  })
}
