/**
 * 科室信息接口请求
 * @param params
 * @returns {Promise<any>}
 */
import request from '@/utils/request'

export function getList(params) {
  return request({
    url: '/mgr/partinfo/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增科室 */
export function add(params) {
  return request({
    url: '/mgr/partinfo',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除科室 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/mgr/partinfo/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新科室 */
export function update(id, params) {
  return request({
    url: `/mgr/partinfo/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询单个科室 */
export function get(id, params) {
  return request({
    url: `/mgr/partinfo/${id}`,
    method: 'get',
    loading: false,
    params
  })
}
/** 获取科室的床位信息 */
export function getBedInfos(id, params) {
  return request({
    url: `/mgr/getbeddata/${id}`,
    method: 'get',
    loading: false,
    params
  })
}

/** 获取授权期限 */
export function getExpire() {
  return request({
    url: '/lc/expire',
    method: 'get',
    loading: false
  })
}

/** 同步HIS */
export function syncHis() {
  return request({
    url: '/mgr/partinfo/synchis',
    method: 'get',
    loading: false
  })
}
