/**
 * 用户信息接口请求
 * @param params
 * @returns {Promise<any>}
 */
import request from '@/utils/request'
/** 新增用户 */
export function add(params) {
  return request({
    url: '/mgr/patient',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 用户出院 */
export function remove(patientId, bedId) {
  return request({
    url: `/mgr/patient/${patientId}/${bedId}`,
    method: 'DELETE',
    loading: true
  })
}

/** 更新用户 */
export function update(id, params) {
  return request({
    url: `/mgr/patient/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询单个用户 */
export function get(id, params) {
  return request({
    url: `/mgr/patient/${id}`,
    method: 'get',
    loading: false,
    params
  })
}

/** 更换床位 */
export function changeBed(params) {
  return request({
    url: '/mgr/patientchangebed',
    method: 'post',
    loading: false,
    data: params
  })
}
