/**
 * 科室管理账户信息接口请求
 * @param params
 * @returns {Promise<any>}
 */
import request from '@/utils/request'
export function getList(params) {
  return request({
    url: '/mgr/user/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增科室管理账户 */
export function add(params) {
  return request({
    url: '/mgr/user',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除科室管理账户 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/mgr/user/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新科室管理账户 */
export function update(id, params) {
  return request({
    url: `/mgr/user/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询单个科室管理账户 */
export function get(id, params) {
  return request({
    url: `/mgr/user/${id}`,
    method: 'get',
    loading: false,
    params
  })
}

