import request from '@/utils/request'
const OnlineSystemUrl = domain.OnlineSystemUrl

export function initData() {
  return request({
    url: `/initialize/init_data`,
    method: 'GET'
  })
}
export function init485Device(partId) {
  return request({
    url: `/initialize/init_485_device/${partId}`,
    method: 'GET'
  })
}
export function initDeviceList(partId) {
  return request({
    url: `/initialize/init_device_list/${partId}`,
    method: 'GET'
  })
}

export function getDevicesByUuid(id) {
  return request({
    url: OnlineSystemUrl + `/ncs_sync/get_device_by_uuid/${id}`,
    method: 'GET'
  })
}

export function bindDeviceTransAudio() {
  return request({
    url: `/initialize/bind_device_trans_audio`,
    method: 'GET'
  })
}

export function changeRs485Debug(param) {
  return request({
    url: `/initialize/change_rs485_debug/${param}`,
    method: 'GET'
  })
}

export function getRs485Debug(param) {
  return request({
    url: `/initialize/get_rs485_debug`,
    method: 'GET'
  })
}

export function synchroDevice(unionId, shopId) {
  return request({
    url: `/initialize/synchro_device/${unionId}/${shopId}`,
    method: 'GET'
  })
}

export function getLocationList(params) {
  return request({
    url: OnlineSystemUrl + `/base/member_location/list`,
    method: 'POST',
    params
  })
}
