import request from '@/utils/request'
const onlineSystemUrl = domain.OnlineSystemUrl
/** 获取实时位置 */
export function getLocation(imei) {
  return request({
    url: `/system/member_location/get_location/${imei}`,
    method: 'GET',
    loading: true
  })
}

/** 获取安全围栏 */
export function getMemberSecurityFence(params) {
  return request({
    url: onlineSystemUrl + `/base/member_location/get_member_security_fence`,
    method: 'POST',
    params
  })
}

/** 保存安全围栏 */
export function saveMemberSecurityFence(params) {
  return request({
    url: onlineSystemUrl + `/base/member_location/save_member_security_fence`,
    method: 'POST',
    params
  })
}

/** 删除安全围栏 */
export function delMemberSecurityFence(id) {
  return request({
    url: onlineSystemUrl + `/base/member_location/del_member_security_fence/${id}`,
    method: 'DELETE'
  })
}
