import request from '@/utils/request'

/**
 * 消息模版接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: '/message-center/template-message-tpl/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增消息模版 */
export function add(params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: '/message-center/template-message-tpl',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除消息模版 */
export function remove(params) {
  const ids = params.toString()
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/template-message-tpl/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新消息模版 */
export function update(id, params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/template-message-tpl/${id}`,
    method: 'put',
    data: params
  })
}
/** 根据id查询消息模版 */
export function get(id) {
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/template-message-tpl/${id}`,
    method: 'get'
  })
}
