import request from '@/utils/request'

/**
 * 消息类型接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: '/message-center/message-type/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增消息类型 */
export function add(params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: '/message-center/message-type',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除消息类型 */
export function remove(params) {
  const ids = params.toString()
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/message-type/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新消息类型 */
export function update(id, params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/message-type/${id}`,
    method: 'put',
    data: params
  })
}

/** 更新消息类型 */
export function getAll() {
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/message-type/all`,
    method: 'get'
  })
}
