import request from '@/utils/request'

/**
 * 消息类型接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: '/message-center/messages/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增消息 */
export function add(params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: '/message-center/messages',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除消息 */
export function remove(params) {
  const ids = params.toString()
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/messages/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新消息 */
export function update(id, params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/messages/${id}`,
    method: 'put',
    data: params
  })
}
/** 根据id查询消息 */
export function get(id) {
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/messages/${id}`,
    method: 'get'
  })
}
