import request from '@/utils/request'

/**
 * 医嘱相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    url: '/ncs/advice/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增医嘱 */
export function add(params) {
  return request({
    url: '/ncs/advice',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除医嘱 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/advice/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新医嘱 */
export function update(id, params) {
  return request({
    url: `/ncs/advice/${id}`,
    method: 'put',
    data: params
  })
}
