
import request from '@/utils/request'

/**
 * 获取科室下的自定义看板标题
 * @param partid
 * @returns {*|Promise|Promise<unknown>}
 */
export function getBoardTitles(partid) {
  return request({
    url: `/ncs/boardtitle/partboardtitle/${partid}`,
    method: 'get',
    loading: false
  })
}


export function getBedInfo(partid) {
  return request({
    baseURL:domain.DeviceUrl,
    url: `/boardinfo/beditems/${partid}`,
    method: 'get',
    loading: false
  })
}

export function getPartStatisticSummary(partid) {
  return request({
    baseURL:domain.DeviceUrl,
    url: `/boardinfo/getpartstatisticsummary/${partid}`,
    method: 'get',
    loading: false
  })
}

/** 获取医院级联科室统计信息 */
export function getHospitalStatisticsCascader(partId) {
  return request({
    baseURL:domain.DeviceUrl,
    url: `/boardinfo/get-hospital-statistics-cascader/${partId}`,
    method: 'get',
    loading: false
  })
}
