import request from '@/utils/request'

/**
 * 自定义看板项相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    url: '/ncs/boarditem/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增自定义看板项 */
export function add(params) {
  return request({
    url: '/ncs/boarditem',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除自定义看板项 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/boarditem/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新自定义看板项 */
export function update(id, params) {
  return request({
    url: `/ncs/boarditem/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询自定义看板项 */
export function get(id, params) {
  return request({
    url: `/ncs/boarditem/${id}`,
    method: 'get',
    loading: false,
    params
  })
}

/** 获取某科室下的所有看板项 */
export function getPartList(part_id) {
  return request({
    url: `/ncs/boarditem/partboarditem/${part_id}`,
    method: 'get',
    loading: false
  })
}

