import request from '@/utils/request'

/**
 * 自定义看板屏幕相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    url: '/ncs/boardtitle/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增自定义看板屏幕 */
export function add(params) {
  return request({
    url: '/ncs/boardtitle',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除自定义看板屏幕 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/boardtitle/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新自定义看板屏幕 */
export function update(id, params) {
  return request({
    url: `/ncs/boardtitle/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询自定义看板屏幕 */
export function get(id, params) {
  return request({
    url: `/ncs/boardtitle/${id}`,
    method: 'get',
    loading: false,
    params
  })
}

/** 保存为默认设计 */
export function saveAsDefault(id, params) {
  return request({
    url: `/ncs/boardtitle/saveasdefault/${id}`,
    method: 'put',
    data: params
  })
}

/** 加载默认设计 */
export function getDefault(id, params) {
  return request({
    url: `/ncs/boardtitle/defaultdesign/${id}`,
    method: 'get',
    loading: false,
    params
  })
}
