import request from '@/utils/request'
import md5 from 'js-md5'

export function listByPartRoleId(params) {
  return request({
    url: '/ncs/clerk/listByPartRoleId',
    method: 'POST',
    data: params
  })
}
export function getList(params) {
  return request({
    url: '/ncs/clerk/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
export function getClerkList(params) {
  return request({
    url: '/ncs/clerk/getClerkAndMemberByShopId',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
export function add(params) {
  params = JSON.parse(JSON.stringify(params))
  if(params.password){
    params.password = md5(params.password)
  }
  return request({
    url: '/ncs/clerk',
    method: 'POST',
    loading: true,
    data: params
  })
}
/** 删除设备 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/clerk/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

export function update(id, params) {
  if (params.password) {
    params.password = md5(params.password)
  }
  return request({
    url: `/ncs/clerk/${id}`,
    method: 'put',
    data: params,
    headers: { 'Content-Type': 'application/json' }
  })
}
export function getRoles(params) {
  return request({
    url: '/ncs/clerk/getRoles',
    method: 'POST',
    loading: false,
    data: params
  })
}
export function getNurseByRoleId(roleId, partId) {
  return request({
    url: `/ncs/clerk/getNurseByRoleId/${roleId}/${partId}`,
    method: 'GET'
  })
}
export function getNurseIdsByPartId(partId) {
  return request({
    url: `/ncs/clerk/getNurseIdsByPartId/${partId}`,
    method: 'GET'
  })
}
export function updateParentById(params) {
  return request({
    url: '/ncs/clerk/updateParentById',
    method: 'POST',
    loading: true,
    data: params
  })
}
export function getRoleGroupClerkNoDoctor(partId) {
  return request({
    url: `/ncs/clerk/getrolegroupclerk/${partId}`,
    method: 'GET'
  })
}

export function getRoleGroupClerk(partId) {
  return request({
    url: `/ncs/clerk/get_role_group_clerk/${partId}`,
    method: 'GET'
  })
}

export function getClerkManageFrame(clerkId,frameRootType) {
  return request({
    url: `/ncs/clerk/getclerkmanageframe/${clerkId}/${frameRootType}`,
    method: 'GET'
  })
}

export function saveClerkManageFrame(params) {
  return request({
    url: '/ncs/clerk/saveclerkmanageframe',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/json' }
  })
}

export function getClerksByShopId(partId) {
  return request({
    url: `/ncs/clerk/get_clerks_by_part_id/${partId}`,
    method: 'GET'
  })
}

export function getClerkVoByPartId(partId) {
  return request({
    url: `/ncs/clerk/get_clerk_by_part_id/${partId}`,
    method: 'GET'
  })
}

export function enableClerk(id) {
  return request({
    url: `/ncs/clerk/enable/${id}`,
    method: 'PUT',
    loading: true
  })
}
