import request from '@/utils/request'

export function addAll(params) {
  return request({
    url: '/ncs/customer/addAll',
    method: 'POST',
    data: params,
    headers: { 'Content-Type': 'application/json' }
  })
}

export function getCustomerInfo(id) {
  return request({
    url: `/ncs/customer/${id}`,
    method: 'GET'
  })
}

export function updateAll(params) {
  return request({
    url: '/ncs/customer/updateAll',
    method: 'POST',
    data: params,
    headers: { 'Content-Type': 'application/json' }
  })
}

export function getList(params) {
  return request({
    url: '/ncs/customer/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 修改 */
export function update(id, params) {
  return request({
    url: `/ncs/customer/${id}`,
    method: 'put',
    data: params
  })
}

export function remove(id) {
  return request({
    url: `/ncs/customer/${id}`,
    method: 'DELETE',
    loading: true
  })
}
export function customerListByHospital(params) {
  return request({
    url: '/ncs/customer/customerListByHospital',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

export function saveListByCustomer(partId) {
  return request({
    url: `/ncs/customer/saveListByCustomer/${partId}`,
    method: 'GET',
    loading: true
  })
}

export function getListByPartId(partId) {
  return request({
    url: `/ncs/customer/getListByPartId/${partId}`,
    method: 'GET',
    loading: true
  })
}

export function getCustomerAndFrameListByPartId(partId) {
  return request({
    url: `/ncs/customer/get_customer_and_frame_list_by_part_id/${partId}`,
    method: 'GET',
    loading: true
  })
}