import request from '@/utils/request'

/**
 * 用户事务相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    url: '/ncs/customer_affair/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增用户事务 */
export function add(params) {
  return request({
    url: '/ncs/customer_affair',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除用户事务 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/customer_affair/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新用户事务 */
export function update(id, params) {
  return request({
    url: `/ncs/customer_affair/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询用户事务 */
export function get(id, params) {
  return request({
    url: `/ncs/customer_affair/${id}`,
    method: 'get',
    loading: false,
    params
  })
}
