import request from '@/utils/request'

/**
 * 设备类型相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    url: '/ncs/deviceType/getDeviceTypeChildrenVO',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增设备类型 */
export function add(params) {
  return request({
    url: '/ncs/deviceType',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除设备类型 */
export function remove(id) {
  return request({
    url: `/ncs/deviceType/${id}`,
    method: 'DELETE',
    loading: true
  })
}

/** 更新设备类型 */
export function update(id, params) {
  return request({
    url: `/ncs/deviceType/${id}`,
    method: 'put',
    data: params
  })
}
