import request from '@/utils/request'
export function getList(params) {
  return request({
    url: '/ncs/event/page',
    method: 'POST',
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
export function getListByPartId(params) {
  return request({
    url: '/ncs/event/list_by_part_id',
    method: 'POST',
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
export function remove(id) {
  return request({
    url: `/ncs/event/${id}`,
    method: 'DELETE',
    loading: true
  })
}
/** 修改 */
export function update(id, params) {
  return request({
    url: `/ncs/event/${id}`,
    method: 'put',
    data: params
  })
}
/** 新增 */
export function add(params) {
  return request({
    url: '/ncs/event',
    method: 'POST',
    loading: true,
    data: params
  })
}
/** 批量修改roleId */
export function updateRoleId(params) {
  return request({
    url: '/ncs/event/updateRoleId',
    method: 'POST',
    data: params
  })
}

/** 批量修改roleId */
export function getEventListByPartId(part_id) {
  return request({
    url: `/ncs/event/get_event_list_by_part_id/${part_id}`,
    method: 'get',
    loading: false
  })
}
