/**
 * 科室病区病区接口请求
 * @param params
 * @returns {Promise<any>}
 */
import request from '@/utils/request'

export function getList(params) {
  return request({
    url: '/ncs/frame_group/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增科室病区 */
export function add(params) {
  return request({
    url: '/ncs/frame_group',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除科室病区 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/frame_group/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新科室病区 */
export function update(id, params) {
  return request({
    url: `/ncs/frame_group/${id}`,
    method: 'put',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}

/** 查询单个科室病区 */
export function get(id, params) {
  return request({
    url: `/ncs/frame_group/${id}`,
    method: 'get',
    loading: false,
    params
  })
}
/** 查询科室的所有区域 */
export function getAll(partId) {
  return request({
    url: `/ncs/frame_group/getFrameGroupByPartId/${partId}`,
    method: 'GET'
  })
}

