import request from '@/utils/request'
export function getList(params) {
  return request({
    url: '/ncs/functionrolemapping/page',
    method: 'POST',
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
export function getFunctionsRoleMappingByCodeAndPartId(function_code, part_id) {
  return request({
    url: `/ncs/functionrolemapping/${function_code}/${part_id}`,
    method: 'GET'
  })
}
export function remove(id) {
  return request({
    url: `/ncs/functionrolemapping/${id}`,
    method: 'DELETE',
    loading: true
  })
}
/** 修改 */
export function update(id, params) {
  return request({
    url: `/ncs/functionrolemapping/${id}`,
    method: 'put',
    data: params,
    headers: { 'Content-Type': 'application/json' }
  })
}
/** 新增 */
export function add(params) {
  return request({
    url: '/ncs/functionrolemapping',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/json' }
  })
}
