import request from '@/utils/request'

/** 新增总控护士主机和护士主机的管理关系 */
export function add(params) {
  return request({
    url: '/ncs/group_host_manage',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除总控护士主机和护士主机的管理关系 */
export function remove(id) {
  return request({
    url: `/ncs/group_host_manage/${id}`,
    method: 'DELETE',
    loading: true
  })
}

/** 更新总控护士主机和护士主机的管理关系 */
export function update(id, params) {
  return request({
    url: `/ncs/group_host_manage/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询某个医院下所有护士主机 */
export function getGroupHostByHospitalId(hospitalId) {
  return request({
    url: `/ncs/group_host_manage/get_group_host_by_hospital_id/${hospitalId}`,
    method: 'get',
    loading: false
  })
}

export function updateParentById(params) {
  return request({
    url: '/ncs/group_host_manage/update_parent_by_id',
    method: 'POST',
    loading: true,
    data: params
  })
}
