import request from '@/utils/request'
const serverUrl = domain.serverUrl
const url = serverUrl.substring(0, serverUrl.length - 4) + '8009'

// 查询科室列表
export function getList(params) {
  return request({
    url: url + '/hisquery/depart/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

// 根据主键查询科室
export function getPartByKeyval(keyval) {
  return request({
    url: url + `/hisquery/depart/${keyval}`,
    method: 'GET',
    loading: false
  })
}

// 查询用户列表
export function getPatientList(params) {
  return request({
    url: url + '/hisquery/patient/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

// 查询工作人员列表
export function getClerkList(params) {
  return request({
    url: url + '/hisquery/employee/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

// 根据主键查询工作人员
export function getClerkByKeyval(keyval) {
  return request({
    url: url + `/hisquery/employee/${keyval}`,
    method: 'GET',
    loading: false
  })
}

// 查询工作人员列表
export function getNurseConfigList(params) {
  return request({
    url: url + '/hisquery/nursecategory/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

// 查询工作人员列表
export function getNurseOptionsList(params) {
  return request({
    url: url + '/hisquery/nurseoptions/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

export function getNurseOptionsByPartKeyval(part_keyval) {
  return request({
    url: url + `/hisquery/nurse_options_list/${part_keyval}`,
    method: 'get'
  })
}

export function getPatientNurseMappingByPatientKeyval(patient_keyval) {
  return request({
    url: url + `/hisquery/patient_nurse_mapping_list/${patient_keyval}`,
    method: 'get'
  })
}

