import request from '@/utils/request'
export function getList(params) {
  return request({
    url: '/ncs/interaction/pagelist',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/interaction/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

export function clearRecord(id) {
  return request({
    url: `/ncs/interaction/deleteByPartId/${id}`,
    method: 'DELETE',
    loading: true
  })
}

export function getLogChars(params) {
  return request({
    url: `/ncs/interaction/getLogChars`,
    method: 'GET',
    loading: true,
    params
  })
}

export function getLogTable(params) {
  return request({
    url: `/ncs/interaction/getLogTable`,
    method: 'GET',
    loading: true,
    params
  })
}
export function getLogTableSubTable(params) {
  return request({
    url: `/ncs/interaction/getLogTableSubTable`,
    method: 'GET',
    loading: true,
    params
  })
}
export function getListByHonePage(partId) {
  return request({
    url: `/ncs/interaction/getListByHonePage/${partId}`,
    method: 'get',
    loading: true
  })
}
export function getStreaming(partId, id) {
  return request({
    url: `/ncs/record/get_record/${partId}/${id}`,
    method: 'get',
    loading: true
  })
}

