import request from '@/utils/request'
/**
 * 呼叫记录推送配置相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
    return request({
        url: '/ncs/interactionpushconfig/page',
        method: 'POST',
        loading: true,
        data: params,
        headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
    })
}

/** 新增呼叫记录推送配置 */
export function add(params) {
    return request({
        url: '/ncs/interactionpushconfig/add',
        method: 'POST',
        loading: true,
        data: params
    })
}

/** 删除呼叫记录推送配置 */
export function remove(params) {
    const ids = params.toString()
    return request({
        url: `/ncs/interactionpushconfig/${ids}`,
        method: 'DELETE',
        loading: true,
        data: params
    })
}

/** 更新呼叫记录推送配置 */
export function update(id, params) {
    return request({
        url: `/ncs/interactionpushconfig/${id}`,
        method: 'put',
        data: params
    })
}

/** 查询呼叫记录推送配置 */
export function get(id, params) {
    return request({
        url: `/ncs/interactionpushconfig/${id}`,
        method: 'get',
        loading: false,
        params
    })
}

/** 查询呼叫记录推送配置 */
export function getParamJson() {
    return request({
        url: `/ncs/interactionpushconfig/paramjson`,
        method: 'get',
        loading: false
    })
}

/** 查询呼叫记录推送配置 */
export function apiDebug(baseUrl, param) {
    return request({
        baseURL: baseUrl,
        url:'',
        method: 'POST',
        headers: { 'Content-Type': 'application/json' },
        data: param
    })
}

