import request from '@/utils/request'

/**
 * 多语言相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getByCode(params) {
  return request({
    url: 'ncs/language/getByCode',
    method: 'POST',
    loading: false,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增多语言 */
export function add(params) {
  return request({
    url: 'ncs/language',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除多语言 */
export function remove(id) {
  return request({
    url: `ncs/language/${id}`,
    method: 'DELETE',
    loading: true
  })
}

/** 更新多语言 */
export function update(id, params) {
  return request({
    url: `ncs/language/${id}`,
    method: 'put',
    data: params
  })
}
