import request from '@/utils/request'
export function getList(params) {
  return request({
    url: '/ncs/nurse_config/page',
    method: 'POST',
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
export function remove(id) {
  return request({
    url: `/ncs/nurse_config/${id}`,
    method: 'DELETE',
    loading: true
  })
}
/** 修改 */
export function update(id, params) {
  return request({
    url: `/ncs/nurse_config/${id}`,
    method: 'put',
    data: params
  })
}
/** 新增 */
export function add(params) {
  return request({
    url: '/ncs/nurse_config',
    method: 'POST',
    loading: true,
    data: params
  })
}
export function listByPartId(params) {
  return request({
    url: `/ncs/nurse_config/listByPartId`,
    method: 'POST',
    data: params
  })
}

export function getConfigSelectionByPartId(part_id) {
  return request({
    url: `/ncs/nurse_config/selection/${part_id}`,
    method: 'get'
  })
}


export function getNurseConfigsByPartId(part_id) {
  return request({
    url: `/ncs/nurse_config/all/${part_id}`,
    method: 'get'
  })
}

