import request from '@/utils/request'
import md5 from 'js-md5'
export function getList(params) {
  return request({
    url: '/mgr/partinfo/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
export function remove(id) {
  return request({
    url: `/mgr/partinfo/${id}`,
    method: 'DELETE',
    loading: true
  })
}
/** 修改 */
export function update(id, params) {
  return request({
    url: `/mgr/partinfo/${id}`,
    method: 'put',
    data: params
  })
}
/** 新增 */
export function add(params) {
  params.member_password = md5(params.member_password)
  return request({
    url: '/mgr/partinfo',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 新增 */
export function listByType(partype) {
  return request({
    url: `/mgr/partinfo/list/${partype}`,
    method: 'GET'
  })
}

/**
 * 获取科室设置
 * @param partid
 * @returns {*|Promise|Promise<unknown>}
 */
export function getPartSetting(partid) {
  return request({
    url: `/mgr/partinfo/setting/${partid}`,
    method: 'GET'
  })
}

/**
 * 更新科室设置
 * @param params
 * @param partid
 * @returns {*|Promise|Promise<unknown>}
 */
export function editPartSetting(params, partid) {
  return request({
    url: `/mgr/partinfo/setting/${partid}`,
    method: 'PUT',
    data: params
  })
}

export function editShopMember(params) {
  params.member_password = md5(params.member_password)
  return request({
    url: '/mgr/partinfo/edit_shop_member',
    method: 'POST',
    loading: true,
    data: params
  })
}
