import request from '@/utils/request'

/**
 * 屏幕提示语设置相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    url: '/ncs/screentip/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增屏幕提示语设置 */
export function add(params) {
  return request({
    url: '/ncs/screentip',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除屏幕提示语设置 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/screentip/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新屏幕提示语设置 */
export function update(id, params) {
  return request({
    url: `/ncs/screentip/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询屏幕提示语设置 */
export function get(id, params) {
  return request({
    url: `/ncs/screentip/${id}`,
    method: 'get',
    loading: false,
    params
  })
}
