import request from '@/utils/request'

/** 新增设备报警 */
export function add(params) {
  return request({
    url: '/ncs/sos_device_settings',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除设备报警 */
export function deleteByDeviceId(id) {
  return request({
    url: `/ncs/sos_device_settings/delete_by_device_id/${id}`,
    method: 'DELETE',
    loading: true
  })
}

/** 更新设备报警 */
export function updateById(id, params) {
  return request({
    url: `/ncs/sos_device_settings/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询某个设备的报警时间 */
export function getSosDeviceSetting(deviceId) {
  return request({
    url: `/ncs/sos_device_settings/get_sos_device_setting/${deviceId}`,
    method: 'get',
    loading: false
  })
}

/** 查询报警设备列表 */
export function getSosDeviceSettingList(params) {
  return request({
    url: '/ncs/sos_device_settings/get_sos_device_setting_list',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

export function changeWatchSos(param) {
  return request({
    url: `/ncs/sos_device_settings/change_watch_sos/${param}`,
    method: 'GET'
  })
}

export function getWatchSos(param) {
  return request({
    url: `/ncs/sos_device_settings/get_watch_sos`,
    method: 'GET'
  })
}
