import request from '@/utils/request'

/**
 * 系统参数设置相关接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    url: '/ncs/config/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增系统参数 */
export function add(params) {
  return request({
    url: '/ncs/config',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除系统参数 */
export function remove(params) {
  const ids = params.toString()
  return request({
    url: `/ncs/config/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新系统参数 */
export function update(id, params) {
  return request({
    url: `/ncs/config/${id}`,
    method: 'put',
    data: params
  })
}

/** 查询单个系统参数 */
export function get(id, params) {
  return request({
    url: `/ncs/config/${id}`,
    method: 'get',
    loading: false,
    params
  })
}

/** 查询单个系统参数 */
export function getConfig(keyCode) {
  return request({
    url: `/ncs/config/get_config/${keyCode}`,
    method: 'get',
    loading: false
  })
}

/** 查询是否连接云服务器 */
export function cloud() {
  return request({
    url: `/ncs/config/cloud`,
    method: 'get',
    loading: false
  })
}

