import request from '@/utils/request'

/**
 * 获取角色列表
 * @param params
 */
export function getRoleList(part_id) {
  return request({
    url: `/mgr/role/list/${part_id}`,
    method: 'get',
    loading: false
  })
}

/**
 * 删除角色
 * @param id
 */
export function deleteRole(id) {
  return request({
    url: `/mgr/role/${id}`,
    method: 'delete'
  })
}

/**
 * 获取角色具体权限
 * @param id
 */
export function getRolePermission(id) {
  return request({
    url: `/mgr/role/${id}`,
    method: 'get'
  })
}

/**
 * 添加角色
 * @param params
 */
export function addRole(params) {
  return request({
    url: '/mgr/role',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}

/**
 * 修改角色
 * @param id
 * @param params
 */
export function editRole(id, params) {
  return request({
    url: `/mgr/role/${id}`,
    method: 'put',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}

/**
 * 获取代码中角色枚举类型
 * @param id
 */
export function getRoleEnums() {
  return request({
    url: `/mgr/role/rolenums`,
    method: 'get'
  })
}




