import request from '@/utils/request'

/**
 * 模版参数接口
 * @param params
 * @returns {*|Promise|Promise<unknown>}
 */
export function getList(params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: '/message-center/template-message-paramer/page',
    method: 'POST',
    loading: true,
    data: params,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}

/** 新增模版参数 */
export function add(params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: '/message-center/template-message-paramer',
    method: 'POST',
    loading: true,
    data: params
  })
}

/** 删除模版参数 */
export function remove(params) {
  const ids = params.toString()
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/template-message-paramer/${ids}`,
    method: 'DELETE',
    loading: true,
    data: params
  })
}

/** 更新模版参数 */
export function update(id, params) {
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/template-message-paramer/${id}`,
    method: 'put',
    data: params
  })
}

/** 根据id查询模版参数 */
export function get(id) {
  return request({
    baseURL: domain.gateWayUrl,
    url: `/message-center/template-message-paramer/${id}`,
    method: 'get'
  })
}

export function getAll() {
  return request({
    baseURL: domain.gateWayUrl,
    url: '/message-center/template-message-paramer/all',
    method: 'get'
  })
}
