/**
 * 体征日志相关API
 */

import request from '@/utils/request'
/**
 *
 *
 */
export function getAlarmVitalSignsLog(params) {
  return request({
    url: '/care/care_vital_signs_log/getVitalSignsAlarm',
    method: 'get',
    loading: false,
    params
  })
}

/**
 * 获取体机构征告警统计
 *
 */
export function getAlarmVitalSignStatistics(params) {
  return request({
    url: '/care/care_vital_signs_log/getVitalSignsAlarmStatistics',
    method: 'get',
    loading: false,
    params
  })
}

/**
 * 获取机构用户ids
 *
 */
export function getMemberIds() {
  return request({
    url: '/care/care_vital_signs_log/getMemberIds',
    method: 'get',
    loading: false
  })
}

/**
 * 获取体机构征告警分页列表
 *
 */
export function logList(params) {
  return request({
    url: '/care/care_vital_signs_log/logList',
    method: 'post',
    loading: false,
    params
  })
}

/**
 * 获取机构当日所有用户的体征数据
 *
 */
export function getMemberCurrentLog() {
  return request({
    url: '/care/care_vital_signs_log/getVitalSignsCurrent',
    method: 'get',
    loading: false
  })
}

/**
 * 获取体机构征分页列表
 *
 */
export function logListPage(params) {
  return request({
    url: '/care/care_vital_signs_log/page',
    method: 'post',
    loading: false,
    params
  })
}
