/**
 * 体征参数相关API
 */

import request from '@/utils/request'

/**
 * 获取所有体征参数组，包含参数
 *
 */
export function getAllVitalSignsGroup(memberId) {
  return request({
    url: `/care/vitalsignsgroup/setting/${memberId}`,
    method: 'get',
    loading: false
  })
}

/**
 * 获取用户体征日志
 * @param memberId
 */
export function getVitalSignsGroupParamLog(memberId) {
  return request({
    url: `/care/vitalsignsgroup/log/${memberId}`,
    method: 'get',
    loading: false
  })
}

/**
 * 保存用户体征日志
 * @param memberId
 */

export function saveVitalSignsLog(params, memberId) {
  return request({
    url: `/care/vitalsignsgroup/log/${memberId}`,
    method: 'put',
    headers: { 'Content-Type': 'application/json' },
    loading: false,
    data: params
  })
}

/**
 * 保存体征告警设置信息
 * @param params
 * @param memberId
 */

export function saveVitalSignsSetting(params, memberId) {
  return request({
    url: `/care/vitalsignsgroup/setting/${memberId}`,
    method: 'put',
    headers: { 'Content-Type': 'application/json' },
    loading: false,
    data: params
  })
}

/**
 * 保存体征告警设置信息
 * @param params
 * @param memberId
 */

export function updateFromChangsang(params) {
  return request({
    url: '/care/care_changsang/updateFromChangsang',
    method: 'POST',
    loading: false,
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    data: params
  })
}

