import VueFinder from './VueFinder.vue'
import * as modals from './modals.js'

export default {
  /** @param {import('vue').App} app
     * @param options
     */
  install(Vue, options = {}) {
    // define main component
    Vue.component('VueFinder', VueFinder)

    // define modals
    for (const modal of Object.values(modals)) {
      Vue.component(modal.name, modal)
    }

    // define global properties with 'options'
    options.i18n = options.i18n ?? {}
    let [firstLanguage] = Object.keys(options.i18n)
    options.locale = options.locale ?? firstLanguage ?? 'en'

    // unique id for the app options
    Vue.mixin({
      data() {
        return { ...options }
      }

    })
    // Vue.provide('VueFinderOptions', options)
  }
}

