import Vue from 'vue'

import Cookies from 'js-cookie'

import 'normalize.css/normalize.css' // a modern alternative to CSS resets


import Element from 'element-ui'
import './styles/element-variables.scss'
import enLang from 'element-ui/lib/locale/lang/en'// 如果使用中文语言包请默认支持，无需额外引入，请删除该依赖
import zhLang from 'element-ui/lib/locale/lang/zh-CN'
import 'ag-grid-community/dist/styles/ag-grid.css'
import 'ag-grid-community/dist/styles/ag-theme-alpine.css'
import '@/styles/index.scss' // global css
import '@/styles/quill.core.css'
import '@/styles/quill.bubble.css'
import '@/styles/quill.snow.css'
import '@/styles/iconfont.css'

import App from './App'
import store from './store'
import router from './router'

import { AgGridVue } from 'ag-grid-vue'
// import 'ag-grid-enterprise'

import './icons' // icon
import './permission' // permission control
import './utils/error-log' // error log

import * as filters from './filters' // global filters
import mixin from './utils/mixin'
import Components from './components'
import vcolorpicker from 'vcolorpicker'
import scroll from 'vue-seamless-scroll/src'

import i18n from './utils/i18n'
import BaiduMap from 'vue-baidu-map'
import $ from 'jquery'
Vue.prototype.$ = $

Vue.prototype.uiVersionType = 1 // 初始化为空字符串或其他默认值
/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online ! ! !
 */

if (process.env.NODE_ENV === 'production') {
  const { mockXHR } = require('../mock')
  mockXHR()
}
// 全局注册echarts、jsonp
import * as echarts from 'echarts'
import 'echarts/theme/vintage.js'
import Grid from 'vant/lib/grid'
import GridItem from 'vant/lib/grid-item'
import 'vant/lib/grid/style'
import 'vant/lib/grid-item/style'
// // ace 编辑器
// import ace from 'ace-builds'
// Vue.use(ace)
import VueFinder from '@/components/FileManager/index.js'

Vue.prototype.$echarts = echarts
Vue.component('AgGridVue', AgGridVue)
Vue.component('Grid', Grid)
Vue.component('GridItem', GridItem)
Vue.use(VueFinder)
Vue.use(vcolorpicker)
Vue.use(Components)
Vue.use(scroll)
Vue.mixin(mixin)
Vue.use(Element, {
  size: Cookies.get('size') || 'medium' // set element-ui default size
  // locale: enLang // 如果使用中文，无需设置，请删除
})
Vue.use(Element, { zhLang })
import JsonViewer from 'vue-json-viewer'
Vue.use(JsonViewer)
// register global utility filters
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

Vue.use(BaiduMap, {
  /* Visit http://lbsyun.baidu.com/apiconsole/key for details about app key. */
  ak: 'npNSlyyrVBUm37EUSHHGDgfZ44sunSp2'
})

Vue.config.productionTip = false

new Vue({
  el: '#app',
  i18n, // 将VueI18n挂载到vue实例上
  router,
  store,
  render: h => h(App),
  beforeCreate() {
    Vue.prototype.$bus = this
  }
})
