const Cookies = require('js-cookie')

function getTitle() {
  let lang = Cookies.get('DefaultLanguage')

  if (lang === 'es') {
    return 'Configuración del sistema'
  } else if (lang === 'en') {
    return 'System Configuration'
  } else {
    return '呼叫系统配置中心'
  }
}

module.exports = {
  title: getTitle(),

  /**
   * @type {boolean} true | false
   * @description Whether show the settings right-panel
   */
  showSettings: true,

  /**
   * @type {boolean} true | false
   * @description Whether need tagsView
   */
  tagsView: true,

  /**
   * @type {boolean} true | false
   * @description Whether fix the header
   */
  fixedHeader: false,

  /**
   * @type {boolean} true | false
   * @description Whether show the logo in sidebar
   */
  sidebarLogo: false,

  /**
   * @type {string | array} 'production' | ['production', 'development']
   * @description Need show err logs component.
   * The default is only used in the production env
   * If you want to also use it in dev, you can pass ['production', 'development']
   */
  errorLog: 'production'
}
