import i18n from '@/utils/i18n'

export const AG_GRID_LOCALE_CN = {
  // Set Filter
  selectAll: i18n.t('action.choiceAll'),
  selectAllSearchResults: i18n.t('action.choiceAllSearchResults'),
  searchOoo: i18n.t('action.searchOoo'),
  blanks: i18n.t('action.blanks'),
  noMatches: i18n.t('action.noMatches'),

  // Number Filter & Text Filter
  filterOoo: i18n.t('action.filterOoo'),
  equals: i18n.t('action.equals'),
  notEqual: i18n.t('action.notEqual'),
  empty: i18n.t('action.empty'),

  // Number Filter
  lessThan: i18n.t('action.lessThan'),
  greaterThan: i18n.t('action.greaterThan'),
  lessThanOrEqual: i18n.t('action.lessThanOrEqual'),
  greaterThanOrEqual: i18n.t('action.greaterThanOrEqual'),
  inRange: i18n.t('action.inRange'),
  inRangeStart: i18n.t('action.inRangeStart'),
  inRangeEnd: i18n.t('action.inRangeEnd'),

  // Text Filter
  contains: i18n.t('action.contains'),
  notContains: i18n.t('action.notContains'),
  startsWith: i18n.t('action.startsWith'),
  endsWith: i18n.t('action.endsWith'),

  // Date Filter
  dateFormatOoo: 'yyyy-mm-dd',

  // Filter Conditions
  andCondition: i18n.t('action.andCondition'),
  orCondition: i18n.t('action.orCondition'),

  // Filter Buttons
  applyFilter: i18n.t('action.applyFilter'),
  resetFilter: i18n.t('action.resetFilter'),
  clearFilter: i18n.t('action.clearFilter'),
  cancelFilter: i18n.t('action.cancelFilter'),

  // Filter Titles
  textFilter: i18n.t('action.textFilter'),
  numberFilter: i18n.t('action.numberFilter'),
  dateFilter: i18n.t('action.dateFilter'),
  setFilter: i18n.t('action.setFilter'),

  // Side Bar
  columns: i18n.t('action.columns'),
  filters: i18n.t('action.filters'),

  // columns tool panel
  pivotMode: 'Pivot Mode',
  groups: 'Row Groups',
  rowGroupColumnsEmptyMessage: 'Drag here to set row groups',
  values: 'Values',
  valueColumnsEmptyMessage: 'Drag here to aggregate',
  pivots: 'Column Labels',
  pivotColumnsEmptyMessage: 'Drag here to set column labels',

  // Header of the Default Group Column
  group: 'Group',

  // Other
  loadingOoo: i18n.t('action.loadingOoo'),
  noRowsToShow: i18n.t('action.noRowsToShow'),
  enabled: i18n.t('action.enabled'),

  // Menu
  pinColumn: i18n.t('action.pinColumn'),
  pinLeft: i18n.t('action.pinLeft'),
  pinRight: i18n.t('action.pinRight'),
  noPin: i18n.t('action.noPin'),
  valueAggregation: 'Value Aggregation',
  autosizeThiscolumn: i18n.t('action.autosizeThiscolumn'),
  autosizeAllColumns: i18n.t('action.autosizeAllColumns'),
  groupBy: i18n.t('action.groupBy'),
  ungroupBy: 'Un-Group by',
  resetColumns: i18n.t('action.resetColumns'),
  expandAll: i18n.t('action.expandAll'),
  collapseAll: i18n.t('action.collapseAll'),
  copy: i18n.t('action.copy'),
  ctrlC: 'Ctrl+C',
  copyWithHeaders: i18n.t('action.copyWithHeaders'),
  paste: i18n.t('action.paste'),
  ctrlV: 'Ctrl+V',
  export: i18n.t('action.export'),
  csvExport: 'CSV Export',
  excelExport: 'Excel Export (.xlsx)',
  excelXmlExport: 'Excel Export (.xml)',

  // Enterprise Menu Aggregation and Status Bar
  sum: 'Sum',
  min: 'Min',
  max: 'Max',
  none: 'None',
  count: 'Count',
  avg: 'Average',
  filteredRows: 'Filtered',
  selectedRows: 'Selected',
  totalRows: 'Total Rows',
  totalAndFilteredRows: 'Rows',
  more: 'More',
  to: 'to',
  of: 'of',
  page: 'Page',
  nextPage: 'Next Page',
  lastPage: 'Last Page',
  firstPage: 'First Page',
  previousPage: 'Previous Page',

  // Enterprise Menu (Charts)
  pivotChartAndPivotMode: 'Pivot Chart & Pivot Mode',
  pivotChart: 'Pivot Chart',
  chartRange: 'Chart Range',

  columnChart: 'Column',
  groupedColumn: 'Grouped',
  stackedColumn: 'Stacked',
  normalizedColumn: '100% Stacked',

  barChart: 'Bar',
  groupedBar: 'Grouped',
  stackedBar: 'Stacked',
  normalizedBar: '100% Stacked',

  pieChart: 'Pie',
  pie: 'Pie',
  doughnut: 'Doughnut',

  line: 'Line',

  xyChart: 'X Y (Scatter)',
  scatter: 'Scatter',
  bubble: 'Bubble',

  areaChart: 'Area',
  area: 'Area',
  stackedArea: 'Stacked',
  normalizedArea: '100% Stacked',

  histogramChart: 'Histogram',

  // Charts
  pivotChartTitle: 'Pivot Chart',
  rangeChartTitle: 'Range Chart',
  settings: 'Settings',
  data: 'Data',
  format: 'Format',
  categories: 'Categories',
  defaultCategory: '(None)',
  series: 'Series',
  xyValues: 'X Y Values',
  paired: 'Paired Mode',
  axis: 'Axis',
  navigator: 'Navigator',
  color: 'Color',
  thickness: 'Thickness',
  xType: 'X Type',
  automatic: 'Automatic',
  category: 'Category',
  number: 'Number',
  time: 'Time',
  xRotation: 'X Rotation',
  yRotation: 'Y Rotation',
  ticks: 'Ticks',
  width: 'Width',
  height: 'Height',
  length: 'Length',
  padding: 'Padding',
  spacing: 'Spacing',
  chart: 'Chart',
  title: 'Title',
  titlePlaceholder: 'Chart title - double click to edit',
  background: 'Background',
  font: 'Font',
  top: 'Top',
  right: 'Right',
  bottom: 'Bottom',
  left: 'Left',
  labels: 'Labels',
  size: 'Size',
  minSize: 'Minimum Size',
  maxSize: 'Maximum Size',
  legend: 'Legend',
  position: 'Position',
  markerSize: 'Marker Size',
  markerStroke: 'Marker Stroke',
  markerPadding: 'Marker Padding',
  itemSpacing: 'Item Spacing',
  itemPaddingX: 'Item Padding X',
  itemPaddingY: 'Item Padding Y',
  layoutHorizontalSpacing: 'Horizontal Spacing',
  layoutVerticalSpacing: 'Vertical Spacing',
  strokeWidth: 'Stroke Width',
  offset: 'Offset',
  offsets: 'Offsets',
  tooltips: 'Tooltips',
  callout: 'Callout',
  markers: 'Markers',
  shadow: 'Shadow',
  blur: 'Blur',
  xOffset: 'X Offset',
  yOffset: 'Y Offset',
  lineWidth: 'Line Width',
  normal: 'Normal',
  bold: 'Bold',
  italic: 'Italic',
  boldItalic: 'Bold Italic',
  predefined: 'Predefined',
  fillOpacity: 'Fill Opacity',
  strokeOpacity: 'Line Opacity',
  histogramBinCount: 'Bin count',
  columnGroup: 'Column',
  barGroup: 'Bar',
  pieGroup: 'Pie',
  lineGroup: 'Line',
  scatterGroup: 'X Y (Scatter)',
  areaGroup: 'Area',
  histogramGroup: 'Histogram',
  groupedColumnTooltip: 'Grouped',
  stackedColumnTooltip: 'Stacked',
  normalizedColumnTooltip: '100% Stacked',
  groupedBarTooltip: 'Grouped',
  stackedBarTooltip: 'Stacked',
  normalizedBarTooltip: '100% Stacked',
  pieTooltip: 'Pie',
  doughnutTooltip: 'Doughnut',
  lineTooltip: 'Line',
  groupedAreaTooltip: 'Area',
  stackedAreaTooltip: 'Stacked',
  normalizedAreaTooltip: '100% Stacked',
  scatterTooltip: 'Scatter',
  bubbleTooltip: 'Bubble',
  histogramTooltip: 'Histogram',
  noDataToChart: 'No data available to be charted.',
  pivotChartRequiresPivotMode: 'Pivot Chart requires Pivot Mode enabled.',
  chartSettingsToolbarTooltip: 'Menu',
  chartLinkToolbarTooltip: 'Linked to Grid',
  chartUnlinkToolbarTooltip: 'Unlinked from Grid',
  chartDownloadToolbarTooltip: 'Download Chart',

  // ARIA
  ariaHidden: 'hidden',
  ariaVisible: 'visible',
  ariaChecked: 'checked',
  ariaUnchecked: 'unchecked',
  ariaIndeterminate: 'indeterminate',
  ariaColumnSelectAll: 'Toggle Select All Columns',
  ariaInputEditor: 'Input Editor',
  ariaDateFilterInput: 'Date Filter Input',
  ariaFilterInput: 'Filter Input',
  ariaFilterColumnsInput: 'Filter Columns Input',
  ariaFilterValue: 'Filter Value',
  ariaFilterFromValue: 'Filter from value',
  ariaFilterToValue: 'Filter to value',
  ariaFilteringOperator: 'Filtering Operator',
  ariaColumnToggleVisibility: 'column toggle visibility',
  ariaColumnGroupToggleVisibility: 'column group toggle visibility',
  ariaRowSelect: 'Press SPACE to select this row',
  ariaRowDeselect: 'Press SPACE to deselect this row',
  ariaRowToggleSelection: 'Press Space to toggle row selection',
  ariaRowSelectAll: 'Press Space to toggle all rows selection',
  ariaSearch: 'Search',
  ariaSearchFilterValues: 'Search filter values'
}
