import createEnum from '@/utils/enum/createEnum'
import i18n from '@/utils/i18n'

export const DEVICE_TYPE = createEnum(
  {
    NURSE_HOST: [1, i18n.t('deviceType.NURSE_HOST')], // 护士主机
    DOCTOR_HOST: [2, i18n.t('deviceType.DOCTOR_HOST')], // 医生主机
    DOOR_DEVICE: [3, i18n.t('deviceType.DOOR_DEVICE')], // 门口机
    DIGIT_BED_DEVICE: [4, i18n.t('deviceType.DIGIT_BED_DEVICE')], // 床位分机
    LCD_SCREEN: [5, i18n.t('deviceType.LCD_SCREEN')], // LCD走廊屏
    LED_SCREEN: [6, i18n.t('deviceType.LED_SCREEN')], // LED点阵屏
    NURSE_WATCH: [7, i18n.t('deviceType.NURSE_WATCH')], // 护士移动
    WORKER_WATCH: [8, i18n.t('deviceType.WORKER_WATCH')], // 护工移动
    USER_WATCH: [9, i18n.t('deviceType.USER_WATCH')], // 用户移动
    CELL_PHONE: [10, i18n.t('deviceType.CELL_PHONE')], // 手机App
    TRANSFER_DEVICE: [11, i18n.t('deviceType.TRANSFER_DEVICE')], // 总线转换盒
    SIMULATE_BED_DEVICE: [12, i18n.t('deviceType.SIMULATE_BED_DEVICE')], // 模拟分机
    SIMULATE_EMERGENCY_BUTTON: [13, i18n.t('deviceType.SIMULATE_EMERGENCY_BUTTON')], // 模拟紧急按钮
    SIMULATE_DOOR_LIGHT: [14, i18n.t('deviceType.SIMULATE_DOOR_LIGHT')], // 模拟门灯
    REMOTE_CONTROL: [15, i18n.t('deviceType.REMOTE_CONTROL')], // 遥控器
    BEACON: [16, i18n.t('deviceType.BEACON')], // 信标
    INFORMATION_BOARD: [17, i18n.t('deviceType.INFORMATION_BOARD')], // 信息看版
    ENTRANCE_GUARD: [18, i18n.t('deviceType.ENTRANCE_GUARD')], // 门禁设备
    VISITATION: [19, i18n.t('deviceType.VISITATION')], // 探视机
    RS485_TRANSFER: [20, i18n.t('deviceType.RS485_TRANSFER')], // 485转换盒
    EMERGENCY_BUTTON: [21, i18n.t('deviceType.EMERGENCY_BUTTON')], // 紧急按钮
    RS485_DOOR: [22, i18n.t('deviceType.RS485_DOOR')], // 485门口分机
    ALARM_BODY_INDUCTIVE: [23, i18n.t('deviceType.ALARM_BODY_INDUCTIVE')], // 红外报警器
    ALARM_WATER_OVERFLOW: [24, i18n.t('deviceType.ALARM_WATER_OVERFLOW')], // 用水监控器
    ALARM_HOUSEHOLD_GAS: [25, i18n.t('deviceType.ALARM_HOUSEHOLD_GAS')], // 家用燃起报警器
    ALARM_HOUSEHOLD_SMOKE: [26, i18n.t('deviceType.ALARM_HOUSEHOLD_SMOKE')], // 家用烟雾报警器
    ALARM_BUTTON_SOS: [27, i18n.t('deviceType.ALARM_BUTTON_SOS')], // 一键报警器
    VITAL_SIGNS_DEVICE: [28, i18n.t('deviceType.VITAL_SIGNS_DEVICE')], // 体征设备
    ALARM_RESTRAINT_BAND: [29, i18n.t('deviceType.ALARM_RESTRAINT_BAND')], // 约束带报警器
    DOOR_LOCK: [30, i18n.t('deviceType.DOOR_LOCK')], // 门磁传感器
    EMERGENCY_GATEWAY: [31, i18n.t('deviceType.EMERGENCY_GATEWAY')], // 报警网关
    ALARM_433BUTTON: [32, i18n.t('deviceType.ALARM_433BUTTON')], // 433报警器
    OTHER_HOST: [33, i18n.t('deviceType.OTHER_HOST')], // 其他主机
    BREASTPLATE: [34, i18n.t('deviceType.BREASTPLATE')], // 胸牌/手环
    OWON_X5_GATEWAY: [35, i18n.t('deviceType.OWON_X5_GATEWAY')], // OWONX5网关
    FALL_DETECTION_RADAR: [36, i18n.t('deviceType.FALL_DETECTION_RADAR')], // 防跌倒雷达
    HUMAN_DETECTION_RADAR: [37, i18n.t('deviceType.HUMAN_DETECTION_RADAR')], // 睡眠监测雷达
    ALARM_INFUSION: [38, i18n.t('deviceType.ALARM_INFUSION')], // 输液报警器
    ELECTRONIC_FENCE: [39, i18n.t('deviceType.ELECTRONIC_FENCE')], // 电子围栏
    S433_DOOR_LAMP: [40, i18n.t('deviceType.S433_DOOR_LAMP')], // 433无线门灯
    S433_TRANSFER_BOX: [41, i18n.t('deviceType.S433_TRANSFER_BOX')], // 433无线转换盒
    S433_RECEIVER: [42, i18n.t('deviceType.S433_RECEIVER')], // 433接收器
    SLEEPMATTRESS: [43, i18n.t('deviceType.SLEEPMATTRESS')], // 睡眠床垫
    S4GINTERCOM: [44, i18n.t('deviceType.S4G_INTERCOM')], // 4G对讲器
    MULTIFUNCTIONAL_BUTTON: [45, i18n.t('deviceType.MULTIFUNCTIONAL_BUTTON')], // 多功能按钮
    WATCH_IW: [46, i18n.t('deviceType.WATCH_IW')], // 智能手表-埃微
    WATCH_BSJ: [55, i18n.t('deviceType.WATCH_BSJ')], // 智能手表-博实结
    S433_BJMD: [47, i18n.t('deviceType.S433_BJMD')], // 报警门灯
    SOS_VOICE_BUTTON: [48, i18n.t('deviceType.SOS_VOICE_BUTTON')], // SOS语音按钮
    PTT: [49, i18n.t('deviceType.PTT')], // 一键通
    SMART_LIFE_GATEWAY: [50, i18n.t('zy20240611.SMART_LIFE_GATEWAY')], // 智慧生活网关
    SMART_LIFE_VOICE_GATE: [51, i18n.t('zy20240611.SMART_LIFE_VOICE_GATE')], // 智慧生活语音网关
    CURTAIN: [52, i18n.t('zy20240611.CURTAIN')], // 窗帘
    SWITCH: [53, i18n.t('zy20240611.SWITCH')], // 开关
    SIMULATE_BLUE_CODE: [54, i18n.t('zy20240611.SIMULATE_BLUE_CODE')],
 
  }
)
