import createEnum from '@/utils/enum/createEnum'
import i18n from '@/utils/i18n'

export const ERROR_TYPE = createEnum(
  {
    TOKEN_FAILED: [8, i18n.t('errorType.TOKEN_FAILED')],
    USER_NULL: [9, i18n.t('errorType.USER_NULL')],
    USER_DISABLE: [10, i18n.t('errorType.USER_DISABLE')],
    PASSWORD_ERROR: [11, i18n.t('errorType.PASSWORD_ERROR')],
    LOGIN_FAILED: [12, i18n.t('errorType.LOGIN_FAILED')],
    LOGOUT: [13, i18n.t('errorType.LOGOUT')],
    MEMBER_NULL: [14, i18n.t('errorType.MEMBER_NULL')],
    MEMBER_ADD_FAILED: [15, i18n.t('errorType.MEMBER_ADD_FAILED')],
    MEMBER_FAILED: [16, i18n.t('errorType.MEMBER_FAILED')],
    MOBILE_OCCUPY: [17, i18n.t('errorType.MOBILE_OCCUPY')],
    MEMBER_NAME_OCCUPY: [18, i18n.t('errorType.MEMBER_NAME_OCCUPY')],
    CHANNEL_FAILED: [19, i18n.t('errorType.CHANNEL_FAILED')],
    CHANNEL_SUBSCRIBE_MEMBER_NULL: [20, i18n.t('errorType.CHANNEL_SUBSCRIBE_MEMBER_NULL')],
    CHANNEL_MEMBER_FAILED: [21, i18n.t('errorType.CHANNEL_MEMBER_FAILED')],
    CHANNEL_NULL: [22, i18n.t('errorType.CHANNEL_NULL')],
    FRAME_HOSPITAL_NULL: [23, i18n.t('errorType.FRAME_HOSPITAL_NULL')],
    FRAME_PART_NULL: [24, i18n.t('errorType.FRAME_PART_NULL')],
    FRAME_ADD_FAILED: [25, i18n.t('errorType.FRAME_ADD_FAILED')],
    CUSTOMER_INFO_NULL: [28, i18n.t('errorType.CUSTOMER_INFO_NULL')],
    CLOUD_ADDRESS_NULL: [29, i18n.t('errorType.CLOUD_ADDRESS_NULL')],
    CLOUD_SAVE_FAILED: [30, i18n.t('errorType.CLOUD_SAVE_FAILED')],
    SHOP_NULL: [31, i18n.t('errorType.SHOP_NULL')],
    SHOP_DAYTIME_ERROR: [32, i18n.t('errorType.SHOP_DAYTIME_ERROR')],
    SHOP_NIGHTTIME_ERROR: [33, i18n.t('errorType.SHOP_NIGHTTIME_ERROR')],
    ADMIN_PASSWORD_ERROR: [34, i18n.t('errorType.ADMIN_PASSWORD_ERROR')],
    DEVICE_MAC_REPEAT: [35, i18n.t('errorType.DEVICE_MAC_REPEAT')],
    DEVICE_ADD_FAILED: [36, i18n.t('errorType.DEVICE_ADD_FAILED')],
    DEVICE_FRAME_FAILED: [37, i18n.t('errorType.DEVICE_FRAME_FAILED')],
    DATA_NULL: [38, i18n.t('errorType.DATA_NULL')],
    PARAM_ERROR: [39, i18n.t('errorType.PARAM_ERROR')],
    PRIMARY_KEY_NULL: [40, i18n.t('errorType.PRIMARY_KEY_NULL')],
    ROLE_NULL: [41, i18n.t('errorType.ROLE_NULL')],
    ROLE_NAME_OCCUPY: [42, i18n.t('errorType.ROLE_NAME_OCCUPY')],
    ROLE_DELETE_FAILED: [43, i18n.t('errorType.ROLE_DELETE_FAILED')],
    LICENSE_ERROR: [44, i18n.t('errorType.LICENSE_ERROR')],
    LICENSE_EXPIRE: [45, i18n.t('errorType.LICENSE_EXPIRE')],
    LICENSE_FAILED: [46, i18n.t('errorType.LICENSE_FAILED')],
    FILE_UPLOAD_FAILED: [47, i18n.t('errorType.FILE_UPLOAD_FAILED')],
    FILE_FAILED: [48, i18n.t('errorType.FILE_FAILED')],
    PERMISSION_DENIED: [49, i18n.t('errorType.PERMISSION_DENIED')],
    TEMPLATE_DELETE_FAILED: [50, i18n.t('mc.templateParamerModule.TEMPLATE_PARAMER_DELETE_FAILED')],
      MESSAGE_TYPE_DELETE_FAILED: [51, i18n.t('mc.messageTypeModule.MESSAGE_TYPE_DELETE_FAILED')],
  }
)

