import Vue from 'vue'
import enLang from 'element-ui/lib/locale/lang/en'// 如果使用中文语言包请默认支持，无需额外引入，请删除该依赖
import esLang from 'element-ui/lib/locale/lang/es'
import zhLang from 'element-ui/lib/locale/lang/zh-CN'
import zhTwLang from 'element-ui/lib/locale/lang/zh-TW'
import ruLang from 'element-ui/lib/locale/lang/ru-RU'
import finderZhLang from '@/components/FileManager/locales/zhCN'
import finderZhTwLang from '@/components/FileManager/locales/zhTW'
import finderEnLang from '@/components/FileManager/locales/en'
import finderEsLang from '@/components/FileManager/locales/sv'
import finderRuLang from '@/components/FileManager/locales/ru'
import editjsZhLang from '../../languages/editorjs/zh-CN'
import editjsZhTwLang from '../../languages/editorjs/zh-CN'
import editjsEnLang from '../../languages/editorjs/en'
import editjsEsLang from '../../languages/editorjs/es'
import editjsRuLang from '../../languages/editorjs/ru-RU'
import messageCenterZhLang from '../../languages/message-center/zh-CN'
import messageCenterZhTwLang from '../../languages/message-center/zh-TW'
import messageCenterEnLang from '../../languages/message-center/en'
import messageCenterEsLang from '../../languages/message-center/es'
import messageCenterRuLang from '../../languages/message-center/ru-RU'
import VueI18n from 'vue-i18n'
import locale from 'element-ui/lib/locale'
import Storage from '@/utils/storage'
Vue.use(VueI18n)
// 创建vue-i18n实例i18n
const i18n = new VueI18n({
  // 设置默认语言
  // locale: 'zh', // 语言标识
  locale: Storage.getItem('DefaultLanguage') == null ? 'zh' : Storage.getItem('DefaultLanguage'),
  // 添加多语言（每一个语言标示对应一个语言文件）
  messages: {
    'zh': Object.assign(require('../../languages/zh-CN'), zhLang, finderZhLang, editjsZhLang, messageCenterZhLang),
    'zhTw': Object.assign(require('../../languages/zh-TW'), zhTwLang, finderZhTwLang, editjsZhTwLang, messageCenterZhTwLang),
    'en': Object.assign(require('../../languages/en'), enLang, finderEnLang, editjsEnLang, messageCenterEnLang),
    'es': Object.assign(require('../../languages/es'), esLang, finderEsLang, editjsEsLang, messageCenterEsLang),
    'ru': Object.assign(require('../../languages/ru-RU'), ruLang, finderRuLang, editjsRuLang, messageCenterRuLang)
  }
})
locale.i18n((key, value) => i18n.t(key, value))
// 暴露i18n
export default i18n
